%==========================================================================
%
%  Problem 8:  Find the area under the AM 1.0 curve.
%
%==========================================================================
%
%   James Nagel
%   Department of Electrical and Computer Engineering
%   University of Utah, Salt Lake City, Utah
%   nageljr@ieee.org
%   Copyright Feb 8, 2012

clear all;
clc;

%  Data file name.  Be sure that this file is in the active directory.
dataFile = 'solarData.mat';

%  Load up variables.
load([dataFile]);

%  Plot the data for reference.
figure(1);
clf
plot(lambda,AM1,'k');
X = xlabel('Wavelength (nm)');
Y = ylabel('Irradiance (W / m^2 \cdot nm)');
set(X,'fontname','verdana','fontsize',24);
set(Y,'fontname','verdana','fontsize',24);

%  Apply trapezoidal integration to find total area (okay, so I'm cheating
%  by using a built-in Matlab function here, but any decent home-brewed
%  function should produce the same value as this does). 
P = trapz(lambda,AM1);

%  Display output in units of W/m^2. 
disp(P);

